*** Settings ***
Documentation     main test

Resource          ../resource.robot

*** Variables ***

*** Test Cases ***
Start Env
    Set Screenshot Directory    pics/
    Open Browser for Device
    Result Should Contain Text

D2D-1
    Go to Imaging
    Create tasks
    Go to Task    ${ttask}
    Select Mode    DriveToDrive
    Select Source    SAS_S1
    Change Length    50000000
    Select Hash Method    SHA1    Yes
    Select Drive Destination    SAS_D1
    Start Task
    Delete Task

D2D-2
    Go to Imaging
    Create tasks
    Go to Task    ${ttask}
    Select Mode    DriveToDrive
    Select Source    SAS_S2
    Select Hash Method    SHA256    Yes
    Select Drive Destination    SAS_D1
    Start Task
    Delete Task

D2D-3
    Go to Imaging
    Create tasks
    Go to Task    ${ttask}
    Select Mode    DriveToDrive
    Select Source    TBT_S1
    Change Length    220000000
    Select Hash Method    MD5    Yes
    Select Drive Destination    SATA_D4
    Start Task
    Delete Task

D2D-4
    Go to Imaging
    Create tasks
    Go to Task    ${ttask}
    Select Mode    DriveToDrive
    Select Source    TBT_S1
    Change Length    500000
    Select Hash Method    None    No
    Select Drive Destination    SAS_D1
    Start Task
    Delete Task

D2D-5
    Go to Imaging
    Create tasks
    Go to Task    ${ttask}
    Select Mode    DriveToDrive
    Select Source    TBT_S2
    Change Length    1000000000
    Select Hash Method    SHA256    Yes
    Select Drive Destination    SATA_D4
    Start Task
    Delete Task

Exit
    Go to Exit
