*** Settings ***
Documentation     main test

Resource          ../lib/resource.robot

*** Variables ***

*** Test Cases ***
Start Env
    Set Screenshot Directory    /home/qa/results/pics/
    Open Browser for Device
    Result Should Contain Text

D2F-1
    Go to Imaging
    Create tasks
    Go to Task    ${ttask}
    Select Mode    DriveToFile
    Select Source    SAS_S2
    Select Image Method Settings    DD
    Select Segment Size    2GB
    Select Hash Method    SHA1    Primary
    Select File Destination    SAS_D1
    Start Task
    Delete Task

D2F-2
    Go to Imaging
    Create tasks
    Go to Task    ${ttask}
    Select Mode    DriveToFile
    Select Source    SAS_S2
    Select Image Method Settings    E01
#    Select Compression    On
    Select Hash Method    SHA1MD5    Primary
    Select File Destination    SAS_D2
    Start Task
    Delete Task

D2F-3
    Go to Imaging
    Create tasks
    Go to Task    ${ttask}
    Select Mode    DriveToFile
    Select Source    SAS_S2
    Select Image Method Settings    Ex01
#    Select Compression    Off
    Select Segment Size    WholeDisk
    Select Hash Method    MD5    Primary
    Select File Destination    FW_D1
    Start Task
    Delete Task

D2F-4
    [Tags]    tbt_d
    Go to Imaging
    Create tasks
    Go to Task    ${ttask}
    Select Mode    DriveToFile
    Select Source    SAS_S1
    Select Image Method Settings    DD
    Select File Destination    SAS_D2
    Start Task
    Delete Task

D2F-5
    Go to Imaging
    Create tasks
    Go to Task    ${ttask}
    Select Mode    DriveToFile
    Select Source    SAS_S1
    Select Image Method Settings    DD
    Select File Destination    SAS_D2
    Select File Destination    SAS_D1
    Start Task
    Delete Task

D2F-6
    [Tags]    longtime
    Go to Imaging
    Create tasks
    Go to Task    ${ttask}
    Select Mode    DriveToFile
    Select Source    USB_S1
    Select Image Method Settings    E01
    Select Segment Size    8GB
#    Select Compression    On
    Select File Destination    SAS_D2
    Select File Destination    FW_D1
    Start Task
    Delete Task

D2F-7
    [Tags]    tbt_d
    Go to Imaging
    Create tasks
    Go to Task    ${ttask}
    Select Mode    DriveToFile
    Select Source    USB_S1
    Select Image Method Settings    Ex01
    Select File Destination    SAS_D1
    Select File Destination    SAS_D2
    Start Task
    Delete Task

D2F-8
    [Tags]    longtime
    Go to Imaging
    Create tasks
    Go to Task    ${ttask}
    Select Mode    DriveToFile
    Select Source    SAS_S2
    Select Image Method Settings    E01
#    Select Compression    Off
    Select File Destination    SAS_D1
    Select File Destination    FW_D1
    Start Task
    Delete Task

D2F-9
    Go to Imaging
    Create tasks
    Go to Task    ${ttask}
    Select Mode    DriveToFile
    Select Source    SAS_S1
    Select Image Method Settings    DD
    Select File Destination    USB_D1
    Select File Destination    SAS_D2
    Start Task
    Delete Task

D2F-10
    [Tags]    longtime
    Go to Imaging
    Create tasks
    Go to Task    ${ttask}
    Select Mode    DriveToFile
    Select Source    SAS_S1
    Select Image Method Settings    E01
    Select Segment Size    16GB
#    Select Compression    On
    Select File Destination    SAS_D1
    Start Task
    Delete Task



Exit
    Go to Exit
