*** Settings ***
Documentation     main test

Resource          ../resource.robot

*** Variables ***

*** Test Cases ***
Start Env
    Set Screenshot Directory    pics/
    Open Browser for Device
    Result Should Contain Text

P2F-1
    Go to Imaging
    Create tasks
    Go to Task    ${ttask}
    Select Mode    PartitionToFile
    Set Test Variable    ${partition}  1
    Select Source    TBT_S1
    Select Image Method Settings    DD
    Select Segment Size    2GB
    Select Hash Method    SHA1    None
    Select File Destination    SAS_D2
    Start Task
    Delete Task

P2F-2
    Go to Imaging
    Create tasks
    Go to Task    ${ttask}
    Select Mode    PartitionToFile
    Set Test Variable    ${partition}  4
    Select Source    TBT_S1
    Select Image Method Settings    DD
    Select Segment Size    4GB
    Select Hash Method    SHA1    Primary
    Select File Destination    SAS_D2
    Start Task
    Delete Task

P2F-3
    Go to Imaging
    Create tasks
    Go to Task    ${ttask}
    Select Mode    PartitionToFile
    Set Test Variable    ${partition}  3
    Select Source    TBT_S1
    Select Image Method Settings    E01
    Select Segment Size    8GB
    Select Hash Method    SHA1    None
    Select File Destination    SAS_D2
    Start Task
    Delete Task

P2F-4
    Go to Imaging
    Create tasks
    Go to Task    ${ttask}
    Select Mode    PartitionToFile
    Set Test Variable    ${partition}  1
    Select Source    TBT_S1
    Select Image Method Settings    Ex01
    Select Segment Size    2GB
    Select Hash Method    SHA1    Primary
    Select File Destination    SATA_D4
    Start Task
    Delete Task

P2F-5
    Go to Imaging
    Create tasks
    Go to Task    ${ttask}
    Select Mode    PartitionToFile
    Set Test Variable    ${partition}  2
    Select Source    PCIe_S1
    Select Image Method Settings    DMG
    Select Segment Size    2GB
    Select Hash Method    SHA1MD5    Both
    Select File Destination    TBT_D1
    Start Task
    Delete Task

P2F-6
    Go to Imaging
    Create tasks
    Go to Task    ${ttask}
    Select Mode    PartitionToFile
    Set Test Variable    ${partition}  1
    Select Source    TBT_S2
    Select Image Method Settings    Ex01
    Select Segment Size    4GB
    Select Hash Method    SHA1    Primary
    Select File Destination    SAS_D2
    Start Task
    Delete Task

P2F-7
    Go to Imaging
    Create tasks
    Go to Task    ${ttask}
    Select Mode    PartitionToFile
    Set Test Variable    ${partition}  4
    Select Source    PCIe_S1
    Select Image Method Settings    Ex01
    Select Segment Size    WholeDisk
    Select Hash Method    SHA1MD5    Both
    Select File Destination    TBT_D1
    Start Task
    Delete Task

P2F-8
    Go to Imaging
    Create tasks
    Go to Task    ${ttask}
    Select Mode    PartitionToFile
    Set Test Variable    ${partition}  3
    Select Source    PCIe_S1
    Select Image Method Settings    DMG
    Select Segment Size    2GB
    Select Hash Method    SHA1MD5    Both
    Select File Destination    TBT_D1
    Start Task
    Delete Task


Exit
    Go to Exit